# Class ForTokens

java.lang.Object
org.apache.jasper.tagplugins.jstl.core.ForTokens

All Implemented Interfaces:
  `TagPlugin`

public class ForTokens extends Object implements TagPlugin

## Constructor Summary

Constructors
Constructor
Description
`ForTokens()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doTag(TagPluginContext ctxt)`
Generate codes for a custom tag.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForTokens

public ForTokens()

## Method Details

### doTag

public void doTag(TagPluginContext ctxt)
Description copied from interface: `TagPlugin`
Generate codes for a custom tag.

Specified by:
  `doTag` in interface `TagPlugin`
Parameters:
  `ctxt` - a TagPluginContext for accessing Jasper functions